post
https://ms.sorteonline.com.br/uat/caas-api/v1/checkout/orders
Endpoint responsible for creating an order
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Description of errors
| Code | StatusCode | Description |
|---|---|---|
| VTX001 | 500 | Error on external provider |
| ORD002 | 400 | Product out of stock |
| SOL004 | 400 | User with email {email} not found |
| SOL005 | 400 | Incomplete user registration |
| SOL006 | 400 | Document does not match the user registered with email {email} |
| SOL007 | 400 | Product not found |
| SOL011 | 409 | Invalid single-line quantity and/or repeated numbers |
Request fields
| Field | Type | Description |
|---|---|---|
orderCorrelationId* | string | Order correlation identifier. |
customer.document* | string | Customer complete document (e.g., CPF) or the first 4 digits. |
customer.phone* | string | Customer phone number. |
customer.email | string | Customer email. |
customer.firstName | string | Customer first name. |
customer.lastName | string | Customer last name. |
customer.birthDate* | datetime | Customer birthdate |
products* | array | List of products associated with the order. |
products[].productId* | integer | Product identifier. |
products[].productCorrelationId* | string | Product correlation identifier. |
products[].shares | integer | Number of shares for the product. |
products[].singleLineData | object or null | Bet data for products with line-based games. |
products[].singleLineData.duration | integer | Number of draws (duration). |
products[].singleLineData.lines | array | List of bet lines. |
products[].singleLineData.lines[].isQuickPick | boolean | Indicates if the line is Quick Pick (random numbers). |
products[].singleLineData.lines[].numbers | array<integer> or null | Numbers manually chosen, or null if Quick Pick. |
paymentData.paymentSystemCode* | integer | Order paymentSystem code. 1 for PIX; |
paymentData.paymentSystemCode.creditCardData | object or null | Credit card info. Null if paymentSystemCode is PIX |
paymentData.paymentSystemCode.creditCardData.holderName | string | Customer card name |
paymentData.paymentSystemCode.creditCardData.cardNumber | string | Customer card number |
paymentData.paymentSystemCode.creditCardData.validationCode | string | Customer card validation code |
paymentData.paymentSystemCode.creditCardData.dueDate | string | Customer card due date |